diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 06fa9198bbadd68aacea51ada06fc340dbe74dbb..7c75451cd69665249bdd1e35313f1a5125c71ccb 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -16,6 +16,5 @@ pylint:
 shellcheck:
   stage: test
   image: it4innovations/docker-shellcheck:latest
-  allow_failure: true
   script:
   - shellcheck *.sh
diff --git a/get_modules.sh b/get_modules.sh
index 09b0e39c4e596c6b75b49d1100bed70d9e1cea15..afbedf33ca6fae7d39355f163610b414c2e12baf 100755
--- a/get_modules.sh
+++ b/get_modules.sh
@@ -2,7 +2,7 @@
 # vim: ai ts=2 sw=2 et sts=2 ft=sh
 
 PWD="/home/easybuild/git/it4i-modules"
-cd $PWD
+cd $PWD || exit 1
 
 STATE=$(git fetch 2>&1 | grep master)
 if [ ! -z "$STATE" ]; then
@@ -11,7 +11,7 @@ if [ ! -z "$STATE" ]; then
   exit 0
 fi
 
-CLUSTER=$(echo "$CLUSTERNAME")
+CLUSTER="$CLUSTERNAME"
 if [ -z "$CLUSTER" ]; then
    echo "CLUSTERNAME not defined"
    exit 1